Run of fresh-snapshots for pegjs

Try this locally (using the lintian-brush package):

debcheckout pegjs
cd pegjs
new-upstream --snapshot
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
[2021-04-24 10:02:32] Running ['new-upstream', '--snapshot']
[2021-04-24 10:02:32] Opening branch at https://salsa.debian.org/js-team/pegjs.git/,branch=master
[2021-04-24 10:02:34] Using cached branch https://janitor.debian.net/git/pegjs/,branch=debian%2Flatest
[2021-04-24 10:02:35] Total 326 (delta 0), reused 0 (delta 0), pack-reused 326
[2021-04-24 10:02:35] 
[2021-04-24 10:02:36] Total 17 (delta 2), reused 2 (delta 2), pack-reused 15
[2021-04-24 10:02:37] Total 16 (delta 4), reused 8 (delta 0), pack-reused 0
[2021-04-24 10:02:37] All changes applied successfully.
[2021-04-24 10:02:37] Workspace ready - starting.
[2021-04-24 10:02:37] Using upstream branch https://github.com/dmajda/pegjs.git (from configuration)
[2021-04-24 10:02:57] Total 9412 (delta 0), reused 0 (delta 0), pack-reused 9412
[2021-04-24 10:03:00] Using version string 0.10.0+git20191116.1.b7b87ea.
[2021-04-24 10:03:00] No upstream upstream-revision format specified, trying tag:0.10.0
[2021-04-24 10:03:00] No upstream upstream-revision format specified, trying tag:pegjs-0.10.0
[2021-04-24 10:03:00] No upstream upstream-revision format specified, trying tag:v0.10.0
[2021-04-24 10:03:00] Not including upstream history, since previous upstream version (0.10.0) is not present in packaging branch history.
[2021-04-24 10:03:00] Looking for upstream pegjs/0.10.0+git20191116.1.b7b87ea in upstream branch <RemoteGitBranch('https://github.com/dmajda/pegjs.git/', 'master')>.
[2021-04-24 10:13:56] Searching for revision importing pegjs version 0.10.0 on packaging branch, tag debian/0.10.0-1, tag debian/0.10.0-3, tag debian/0.10.0-2.
[2021-04-24 10:13:56] Upstream import of 0.10.0 lacks a tag. Set one by running: brz tag -rrevid:git-v1:cc8beb9bae5401509320695cca4d8e148c66c796 upstream/0.10.0
[2021-04-24 10:13:59] Imported pegjs_0.10.0+git20191116.1.b7b87ea.orig.tar.gz with pristine-tar.
[2021-04-24 10:15:55] Text conflict in tools/impact
[2021-04-24 10:15:55] Text conflict in tools/benchmark/css/960.gs/min
[2021-04-24 10:15:55] Text conflict in tools/benchmark/css/960.gs/src
[2021-04-24 10:15:55] Text conflict in tools/impact.new
[2021-04-24 10:15:55] Text conflict in tools/benchmark/css/960.gs
[2021-04-24 10:15:55] Text conflict in tools/benchmark/json
[2021-04-24 10:15:55] Text conflict in tools/impact.OTHER
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/transform.py", line 1057, in rename
    os.rename(from_, to)
NotADirectoryError: [Errno 20] Not a directory: '/tmp/janitorivauth5t/pegjs/tools/impact/package.json' -> '/tmp/janitorivauth5t/pegjs/.git/limbo/new-260'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/pull_worker.py", line 211, in run_worker
    with process_package(
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 783, in process_package
    changer_result = build_target.make_changes(
  File "/home/janitor/debian-janitor/janitor/worker.py", line 462, in make_changes
    return self.changer.make_changes(
  File "/home/janitor/debian-janitor/janitor/worker.py", line 169, in make_changes
    return super(NewUpstreamChanger, self).make_changes(local_tree, subpath, *args, **kwargs)
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/debian/upstream.py", line 1264, in make_changes
    result = merge_upstream(
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/debian/upstream.py", line 949, in merge_upstream
    conflicts, imported_revids = do_merge(
  File "/home/janitor/.config/breezy/plugins/debian/merge_upstream.py", line 171, in do_merge
    return db.merge_upstream(
  File "/home/janitor/.config/breezy/plugins/debian/import_dsc.py", line 1346, in merge_upstream
    conflicts = self.tree.merge_from_branch(
  File "/home/janitor/debian-janitor/breezy/breezy/workingtree.py", line 681, in merge_from_branch
    conflicts = merger.do_merge()
  File "/home/janitor/debian-janitor/breezy/breezy/merge.py", line 661, in do_merge
    merge = self._do_merge_to()
  File "/home/janitor/debian-janitor/breezy/breezy/merge.py", line 630, in _do_merge_to
    merge.do_merge()
  File "/home/janitor/debian-janitor/breezy/breezy/merge.py", line 766, in do_merge
    results = self.tt.apply(no_conflicts=True)
  File "/home/janitor/debian-janitor/breezy/breezy/git/transform.py", line 1345, in apply
    self._apply_removals(mover)
  File "/home/janitor/debian-janitor/breezy/breezy/git/transform.py", line 1381, in _apply_removals
    mover.rename(full_path, self._limbo_name(trans_id))
  File "/home/janitor/debian-janitor/breezy/breezy/transform.py", line 1063, in rename
    raise TransformRenameFailed(from_, to, str(e), e.errno)
breezy.transform.TransformRenameFailed: Failed to rename /tmp/janitorivauth5t/pegjs/tools/impact/package.json to /tmp/janitorivauth5t/pegjs/.git/limbo/new-260: [Errno 20] Not a directory: '/tmp/janitorivauth5t/pegjs/tools/impact/package.json' -> '/tmp/janitorivauth5t/pegjs/.git/limbo/new-260'

Full worker log Full dist log